#!/bin/bash
#
# Copyright (C) 2014 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of minicom-webadmin
#
# minicom-webadmin is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

# This script creates an ssh key for monitor user to be used by many tasks on
# minicom-webadmin

DEST_USER="www-data"
SSH_DIR="/usr/share/minicom-webadmin/ssh"
PRIV_KEY="id_dsa_minicom"

# Tests if the ssh directory exists.
if [ ! -d "$SSH_DIR" ]; then
    mkdir $SSH_DIR
fi

# Tests if the ssh key exists and create one if necessary.
if [ ! -f "$SSH_DIR/$PRIV_KEY" ]; then
    ssh-keygen -q -f $SSH_DIR/$PRIV_KEY -t dsa -N ''
fi

# Fix key permissions
chmod 700 $SSH_DIR
chmod 600 $SSH_DIR/${PRIV_KEY}{,.pub}
chown -R $DEST_USER:$DEST_USER $SSH_DIR

exit 0
