# -*- coding: utf-8 -*-

# Copyright (C) 2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
# This file is part of tladmin
# tladmin is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

from django.db import models

class Firewall(models.Model):
    """
    SQL table fields for the firewall.
    """

    url = models.CharField('Palavra-Chave', max_length=100)


class Log(models.Model):
    """
    SQL Log table.
    """

    # MAX_ENTRIES is used to show the last n entries in squid3/access.log
    MAX_ENTRIES = (
        ('10', '10 entradas'),
        ('20', '20 entradas'),
        ('50', '50 entradas'),
        ('100', '100 entradas'),
        )

    num_entries = models.CharField('Mostrar as últimas', max_length=50, choices=MAX_ENTRIES, blank=True)

