# -*- coding: utf-8 -*-

# Copyright (C) 2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
# This file is part of minicom-webadmin
# minicom-webadmin is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

from django.db import models
from django.contrib.auth.models import User

class Group(models.Model):
    """
    SQL table fields for the groups.
    """
    name = models.CharField('Nome', max_length=100)
    user = models.ManyToManyField(User, verbose_name='Usuários')
    quota = models.CharField('Cota', max_length=20, default=0, blank=True)
    can_print = models.BooleanField('Habilitar Impressão?', default=True)
    time = models.IntegerField('Tempo de uso(minutos)', default=60)
    time_flag = models.BooleanField('Sem limite de tempo')

    def __unicode__(self):
        return self.name
