# -*- coding: utf-8 -*-

# Copyright (C) 2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
# This file is part of minicom-webadmin
# minicom-webadmin is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

from django.shortcuts import render_to_response
from django.template import RequestContext
from django.contrib.auth.decorators import login_required

from webadmin.system.models import Info
from webadmin.tools import *

import commands


def index(request):
    """
    Render the initial page.
    """
    
    # Create a ssh key to be used in ssh tasks.
    t = Task()
    t.addSSHKey()

    context = is_active()
    return render_to_response('index.html', context,
                              context_instance=RequestContext(request))

def about(request):
    """
    Show info about this version
    """

    return render_to_response('about.html', {},
                              context_instance=RequestContext(request))

def bypass(request):
    """
    Used to skip the activation process
    """

    context = {}
    [ info.delete() for info in Info.objects.all() ]
    i = Info()
    i.active = True
    i.registered = False
    i.save()
    context.update({'msg': 'Telecentro liberado para uso. O sistema voltará a pedir que você ative seu telecentro'})
    context.update(is_active())

    return render_to_response('index.html', context,
                              context_instance=RequestContext(request))
