/* Copyright (C) 2012 Centro de Computacao Cientifica e Software Livre
 * Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
 * This file is part of minicom-webadmin
 * minicom-webadmin is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
 * USA.
*/

/* Script to get the geolocation coordinates from telecentro address. */
var geocoder;
var map;

function initialize() {
    /* Load the default or last coordinates, from file. */
    $.getJSON("/media/js/location.json", function(data) {
	if(data.last.lng === "") {
	    lat = data.default.lat;
	    lng = data.default.lng;
	} else {
	    lat = data.last.lat;
	    lng = data.last.lng;
	}

	geocoder = new google.maps.Geocoder();
	var latlng = new google.maps.LatLng(lat, lng);
	var mapOptions = {
	    zoom: 17,
	    center: latlng,
	    mapTypeId: google.maps.MapTypeId.HYBRID
	}
	map = new google.maps.Map(document.getElementById('map_canvas'), mapOptions);
	var marker = new google.maps.Marker({
	    map: map,
	    draggable: true,
	    position: latlng,
	    title: 'Arraste para ajustar.'
	});
	/* geoloc default neste ponto! */
//	geolocation.value = marker.getPosition().toString();
	google.maps.event.addListener(marker, 'dragend', function() {
	    $('#id_geolocation').val(marker.getPosition().toString());
	});
	getFullAddress();
    });
}

/* Set the geolocation value in a field form. */
function codeAddress(address) {
    geocoder.geocode({ 'address': address + ',Brasil', 'region': 'BR'}, function(results, status) {
	if (status == google.maps.GeocoderStatus.OK) {
	    // var latitude = results[0].geometry.location.lat();
            // var longitude = results[0].geometry.location.lng();
	    map.setCenter(results[0].geometry.location);
	    var marker = new google.maps.Marker({
		map: map,
		draggable: true,
		position: results[0].geometry.location,
		title: 'Arraste para ajustar.'
	    });
	    $('#id_geolocation').val(marker.getPosition().toString());
	    /* Set the position when user stop draging the marker */
	    google.maps.event.addListener(marker, 'dragend', function() {
		$('#id_geolocation').val(marker.getPosition().toString());
	    });
	} else {
	    alert('A Geolocalização não foi bem sucedida pelo seguinte motivo: ' + status + 
		  '\nPossíveis causas: sem conexão a internet ou endereço inválido.');
	    }
    });
}

/* Concatenate the address information to get the geolocation code. */
function getFullAddress() {
    var state = $('#id_state').val();
    var city = $('#id_city').val();
    var street = $('#id_street').val();
    var number = $('#id_number').val();
    var zipcode = $('#id_zipcode').val();
    var complement = $('#id_complement').val();
//    var neigh = document.getElementById('id_neighborhood').value;

    var address;
//    address = street + ', ' + number + ', ' + zipcode + '- ' + city + ', ' + state;
    address = complement + ', ' + zipcode + ', ' + city;
    codeAddress(address);
}