/* Copyright (C) 2012 Centro de Computacao Cientifica e Software Livre
 * Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
 * This file is part of minicom-webadmin
 * minicom-webadmin is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
 * USA.
*/

$(document).ready(function() {

    /* Show or hide a input box if user select 'Outras' in social network select form. */
    var label = $('label[for|="id_social_network_other"]')
    var social_net = $('#id_social_network').val();

    /* The number 6 here means the index of option 'Outras'. */    
    var other_index = 6;

    if(social_net != other_index) {
    $('#id_social_network_other').hide();
    $(label).hide();
    }
    $('#id_social_network').change(function(){
    if($(this).val() == other_index) {
        $('#id_social_network_other').show();
        $(label).show();
    }
    else {
        $('#id_social_network_other').hide();
        $(label).hide();
    }
    });

    /* Accordion efect in the html form to reduce space in the screen. */
    var allPanels = $('.accordion > ul').hide();

    $('.accordion > ul').first().show();
    $('.accordion > dt > a').click(function() {
    allPanels.slideUp(100);
    $(this).parent().next().slideDown(100);
    return false;
    });

    /* Loads a list of cities in JSON format from a list provided by the IBGE. */
    $.ajaxSetup({ cache: false });
    $.getJSON("/media/js/cities.json", function(data) {
    /* Loads a list of cities, according to the passed state argument. */
    function loadCities(state) {
            cities = data[state];
            $('#id_city').html('');
            for(i in cities) {
        $('<option value="'+ cities[i] +'">'+ cities[i] +'</option>').appendTo($('#id_city'));
            }
        dummy = $('#id_dummy').val();
        if(dummy)
        $('#id_city').val(dummy);
    }

    /* Event that loads a list of cities, according to the current state, when page is ready. */
    $('#id_state').ready(function(){
        loadCities(
        $('#id_state').val()
        );
    });

    /* Event that loads a list of cities according to the selected state, after changing the select box. */ 
    $('#id_state').change(function(){
        loadCities(
        $('#id_state').val()
        );
    });

    /* Event that change the form action in no-activation form */
    $('#no-activation-link').click(function() {
        if($('#no-activation-link').attr('href') == "")
            if(confirm('Você será solicitado novamente a ativar o telecentro na próxima vez que utilizar o Webadmin'))

                $('#no-activation-link').attr('href', '/bypass').click();
            else
                $('#no-activation-link').attr('href', '/system/telecentro/location/');
    });

    /* Event that change the form action in no-activation form */
    $('#tlconfirm-button').click(function() {
	    //if($('#tlconfirm-button').attr('href') == ""){
		    alert('Telecentro ativado com sucesso!');
        //}
    });
    
    });
});
