# -*- coding: utf-8 -*-

# Copyright (C) 2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
# This file is part of minicom-webadmin
# minicom-webadmin is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

from django.db import models


class Info(models.Model):
    """
    SQL fields for telecentro
    """

    superid = models.CharField('SuperID', max_length=20)
    active = models.BooleanField(default=True)
    registered = models.BooleanField()
    name = models.CharField('Nome do telecentro', max_length=100)
    connection = models.CharField('Conexão', max_length=50, blank=True)
    beneficiary = models.CharField('Beneficiária', max_length=100, blank=True)
    responsible = models.CharField('Responsável', max_length=100, blank=True)
    state = models.CharField('Estado', max_length=50, blank=True)
    city = models.CharField('Município', max_length=50, blank=True)
    street = models.CharField('Rua', max_length=100, blank=True)
    number = models.IntegerField('Número', max_length=10, blank=True, null=True)
    neighborhood = models.CharField('Bairro', max_length=50, blank=True)
    zipcode = models.CharField('CEP', max_length=9, blank=True)
    complement = models.CharField('Complemento', max_length=100, blank=True)
#    address = models.CharField('Endereço', max_length=200, blank=True)
#    area = models.CharField('Area', max_length=200, blank=True)
#    latitude = models.CharField('Latitude', max_length=10, blank=True)
#    longitude = models.CharField('Longitude', max_length=10, blank=True)
    geolocation = models.CharField('Geolocalização', max_length=100, blank=True)
#    reference = models.CharField('Referência', max_length=100, blank=True)

class Ldap(models.Model):
    """
    SQL field to hold LDAP password
    """

    passwd = models.CharField(max_length=128)
