# Copyright (C) 2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
# This file is part of minicom-webadmin
# minicom-webadmin is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

from django.conf.urls.defaults import patterns, include

urlpatterns = patterns('',
                       (r'^$', 'webadmin.system.views.printer'),

                       # Main menu links
                       (r'^hardware/$', 'webadmin.system.views.printer'),
                       (r'^clients/$', 'webadmin.system.views.clients'),
                       (r'^clients/logoff/(?P<host>192\.168\.0\.\d{2,3})/(?P<user>\w+|-)/$', 'webadmin.system.views.logoff'),
                       (r'^clients/shutdown/(?P<host>192\.168\.0\.\d{2,3})/(?P<user>\w+|-)/$', 'webadmin.system.views.shutdown'),
                       (r'^security/', include('webadmin.firewall.urls')),
                       (r'^telecentro/$', 'webadmin.system.views.admin_password'),

                       (r'^hardware/printer/$', 'webadmin.system.views.printer'),
                       (r'^hardware/printer/delete/(?P<printername>\w+)/$', 'webadmin.system.views.printerDelete'),
                       (r'^hardware/webcam/$', 'webadmin.system.views.webcam'),

                       # Info bar links
                       (r'^telecentro/password/$', 'webadmin.system.views.admin_password'),
                       (r'^telecentro/location/$', 'webadmin.system.views.location'),
                       (r'^telecentro/activate/$', 'webadmin.system.views.activate'),
                       (r'^telecentro/deactivate/$', 'webadmin.system.views.deactivate'),
                       (r'^telecentro/save/$', 'webadmin.system.views.save'),
                       (r'^telecentro/backup/', include('webadmin.backup.urls')),
                       (r'^telecentro/register/$', 'webadmin.system.views.register'),
                       (r'^telecentro/info/$', 'webadmin.system.views.save'),
                       )
