from __future__ import absolute_import
from celery.decorators import periodic_task
from webadmin.tools import SSH, Task, System
from celery.utils.log import get_task_logger
from datetime import timedelta

logger = get_task_logger(__name__)

# Pedioric task to get information about the terminals and clients connected
# on server and manage the session time of users.
@periodic_task(run_every=timedelta(seconds=30))
def client_information():
    ssh = SSH()
    logger.info("Start task")
    result = ssh.client_information()
    logger.info("Task finished: result = %s" % result)
    return result

@periodic_task(run_every=timedelta(days=1))
def check_database():
    sys = System()
    logger.info("Start task")
    result = sys.check_database()
    logger.info("Task finished: result = %s" % result)
    return result
