# -*- coding: utf-8 -*-

# Copyright (C) 2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
# This file is part of webadmin
# webadmin is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

from django.conf.urls.defaults import patterns, include, url
from django.conf import settings

from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
                       url(r'^$', 'webadmin.home.views.index'),
                       url(r'^api/datasid/', 'webadmin.system.views.serialize'),
                       url(r'^api/sshkey/', 'webadmin.system.views.sshkey'),

                       url(r'^system/', include('webadmin.system.urls')),

                       url(r'^users/', include('webadmin.users.urls')),
                       url(r'^users/group/', include('webadmin.groups.urls')),

                       url(r'^about/', 'webadmin.home.views.about'),
                       url(r'^bypass/', 'webadmin.home.views.bypass'),

                       url(r'^login/', 'django.contrib.auth.views.login',
                           {'template_name': 'login.html'}),
                       url(r'^logout/', 'django.contrib.auth.views.logout_then_login',
                           {'login_url': '/login/'})
                       )


if settings.LOCAL:
    urlpatterns += patterns('',
                            (r'^media/(.*)$', 'django.views.static.serve',
                             {'document_root': settings.MEDIA_ROOT}),
                            )
